/*
 * Adding content to DB (and populating the ListView)
 */
function addToDB(){
	/*Alloy.Collections.translations = Alloy.createCollection('translations'); */
	var itemsToSave = [
	{questionid: 1624, difficulty: 4, author:'fddDr. Seuss', title:'vxfdssfGreen Evxcvcxvxggs and Ham'}, {questionid: 525, difficulty: 2, author:'mkhgjghDr. fsfsSeuss', title:'Evxcvcxvxggs and Ham'}
	];
	
	var f;
	_.each(itemsToSave, function(item){
 		f = Alloy.createModel('translations', item, {silent:true}); //deleting not working the second time
       	$.trans.add(f);
        f.save();
	});
	var library = $.trans;
	library.fetch(); // Grab data from persistent storage
	console.log("library " + JSON.stringify(library));
}
checkDB();
function checkDB(){
	var library = $.trans;
	library.fetch();
	console.log("DB content: " + JSON.stringify(library)); //loads the old value 4 on startup (should be 111 after clicking changeLevel)
}
function setDifficulty(){
	var model = $.trans.get("1624");
	var test = model.toJSON();
	console.log("model in set Difficulty " + JSON.stringify(model) + "model.difficulty: " + model.difficulty + "test " + JSON.stringify(test) + " test.difficulty " + test.difficulty);
	$.checkDatabase.text = test.difficulty;
	//$.model.get({difficulty: "111"});.temodel.get
}
function changeLevel(){
	var model = $.trans.get("1624");
	//model.get({difficulty: "111"});
	model.set({difficulty: model.get("difficulty") - 1});
	model.save();
	console.log("model after saving: " + JSON.stringify(model)); //correct with 111 as value
}

/* WORKS
 * changes values with SQL statement
 */
function changeSQL(){
	$.trans.updateRecord("difficulty","49800","1624");
	checkDB();
}
/*
 * Deleting content in DB and deleting the ListView automatically (leaves DB unchanged)
 */
function clearDB(){
	console.log("clearing library");
	$.trans.deleteAll();
	checkDB();
}
/*
 * Deleting complete DB (not only content)
 */
//deleteDatabase();
function deleteDatabase(){
	$.trans.deleteTable();
	console.log("table deleted");
}