//http://docs.appcelerator.com/platform/latest/#!/guide/Alloy_Backbone_Migration
exports.definition = {
	config: {
		columns: {
		    "questionid": "real",
		    "difficulty": "real",
		    "author": "text",
		    "title": "text"
		},
		adapter: {
			type: "sql",
			collection_name: "translations",
			idAttribute : "questionid"
		}
	},
	extendModel: function(Model) {
		_.extend(Model.prototype, {
			idAttribute : "questionid",
			// extended functions and properties go here
			

		});
		return Model;
	},
	extendCollection: function(Collection) {
		_.extend(Collection.prototype, {
			// extended functions and properties go here

			// For Backbone v1.1.2, uncomment the following to override the
			// fetch method to account for a breaking change in Backbone.
			/*
			fetch: function(options) {
				options = options ? _.clone(options) : {};
				options.reset = true;
				return Backbone.Collection.prototype.fetch.call(this, options);
			}
			*/
			//http://titaniumtuts.blogspot.pt/2014/05/alloy-collection-crud.html
			updateRecord : function(type,newValue,questionID) {            
		       var collection = this;
		       console.log("calling updated; type: " + type + " newValue " + newValue + " questionID " + questionID);		      
		      //WORKS var sql = 'UPDATE ' + collection.config.adapter.collection_name +  ' SET "difficulty" = "900" WHERE "questionid" = 1624';
	        //WORKS	var sql = 'UPDATE ' + collection.config.adapter.collection_name +  ' SET "difficulty" = "900" WHERE "questionid" = ' + questionID;
	        	var sql = 'UPDATE ' + collection.config.adapter.collection_name +  ' SET ' + type + ' = ' + newValue + ' WHERE "questionid" = ' + questionID;
	        	db = Ti.Database.open(collection.config.adapter.db_name);
	        
		       db.execute(sql);
		       db.close();
		       collection.trigger('sync');
            },
			 deleteAll : function() {
	        var collection = this;
	        var sql = "DELETE FROM " + collection.config.adapter.collection_name;
	        db = Ti.Database.open(collection.config.adapter.db_name);
	        db.execute(sql);
	        db.close();
	        collection.trigger('sync');
	      },
	      deleteTable : function() {
	        var collection = this;
	        var sql = "DROP TABLE IF EXISTS " + collection.config.adapter.collection_name;
	        db = Ti.Database.open(collection.config.adapter.db_name);
	        db.execute(sql);
	        db.close();
	        collection.trigger('sync');
	      },
	      //sorting with non-numerical: https://archive.appcelerator.com/question/156009/how-to-sort-a-collection-particularly-descending
	      // Implement the comparator method.
	      /*
            comparator : function(question) {
                return -question.get('questionid'); //reverse order sorting of Collection; works only with numbers
            }*/
		});

		return Collection;
	}
};