// open TabGroup
$.root.open();
// Alloy.Globals.UI: iOS/Android common UI functions
if (!Alloy.Globals.UI) {
	Alloy.Globals.UI = {};
}
// open Window
// winName: Alloy Window name(String)
Alloy.Globals.UI.openWindow = function(winName,args) {
	$.root.activeTab.open(Alloy.createController(winName,args).getView());
};
//creates the imageDirectory for the profile and content imagages
var imageDir = Ti.Filesystem.getFile(Ti.Filesystem.applicationDataDirectory,'appImages');
	if (! imageDir.exists()) {
	    imageDir.createDirectory();
	}
//Push Notifications
var userRole = Ti.App.Properties.getString("User role");
if (userRole !== (undefined || null) && userRole.indexOf("authenticated user") > -1) {
		if (OS_ANDROID) {
			drupal.initPushNotificationsAndroid();
		} else {
			drupal.initPushNotifications();
			}
				console.log("user is distributor and logged in");
	} else {
		console.log("user is not logged in");
}	
//ANDROID ACTION BAR
if (OS_ANDROID) {
    $.root.addEventListener('open', function() {
        // When we are asked to create the TabGroup Action Bar menu
        $.root.activity.onCreateOptionsMenu = function(e) {
            // If the Window of the active Tab has defined a menu
            if ($.root.activeTab.window.activity.onCreateOptionsMenu) {
                // Pass the request on
                $.root.activeTab.window.activity.onCreateOptionsMenu(e);
                $.root.activeTab.window.title ="active";
            }
        };
    });
    // When the active tab changes
    $.root.addEventListener('focus', function(e) {
        // Recreate the TabGroup Action Bar menu
        $.root.activity.invalidateOptionsMenu();
    });
}